This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 500739 - Disorganized magic* file locations in file-libs
Disorganized magic* file locations in file-libs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 17:08 EDT by Bruce Jerrick
Modified: 2009-05-14 06:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-14 06:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Jerrick 2009-05-13 17:08:24 EDT
Description of problem:

In file-libs-5.03-1.fc11, the locations of 'magic' and 'magic.mgc' are rather
  disorganized.  The canonical location was changed to /usr/share/misc/
  (according to 'man 1 file' and 'man 5 magic'), but the plain file 'magic' 
  remains in /usr/share/file/, with a symlink from /usr/share/misc/ .  That 
  should be the other way around, like 'magic.mgc'.  And the symlink 
  /usr/share/magic should point to misc/magic, not file/magic .

Version-Release number of selected component (if applicable):
(See above. This lousy interface keeps screwing up paste locations.)

How reproducible:
100%

Steps to Reproduce:
(Sorry about the formatting deficiencies; this is the World's Worst
 Interface.)
Repeat by observation:
    man 1 file | col -b | grep -A 2 ^FILES      # the definitive word
    ls -l /usr/share/{file/,misc/,}magic*       # current reality,
                                                #  rather disorganized
Actual results:
(Run the commands above and observe which are plain files and which
are symlinks.  Trying to get that entered here is too painful.)

Expected results:
They should be organized as:
    /usr/share/misc/magic               # plain file
    /usr/share/misc/magic.mgc           # plain file
with whatever symlinks needed for compatibility pointing to those.


Additional info:
Comment 1 Daniel Novotny 2009-05-14 04:26:01 EDT
hello,
because the recent file updates (5.02 and 5.03) contained somewhat important security fixes, I was very quick in upgrading the package. Therefore this sort of provisional arrangement occured... I'll look into it.
Comment 2 Daniel Novotny 2009-05-14 06:24:15 EDT
fixed in file-5.03-2.fc12

Note You need to log in before you can comment on or make changes to this bug.